"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addAnalogDependencies = void 0;
const devkit_1 = require("@nx/devkit");
const dependencies_1 = require("../versions/dependencies");
const dev_dependencies_1 = require("../versions/dev-dependencies");
async function addAnalogDependencies(tree, nxVersion, angularVersion) {
    const dependencies = (0, dependencies_1.getAnalogDependencies)(nxVersion, angularVersion);
    const devDependencies = (0, dev_dependencies_1.getAnalogDevDependencies)(nxVersion);
    // ensure previous @analogjs/platform version is removed, whether installed
    // as a dependency or devDependency, before adding analog dependencies.
    (0, devkit_1.removeDependenciesFromPackageJson)(tree, ['@analogjs/platform'], ['@analogjs/platform']);
    (0, devkit_1.addDependenciesToPackageJson)(tree, dependencies, devDependencies);
}
exports.addAnalogDependencies = addAnalogDependencies;
//# sourceMappingURL=add-analog-dependencies.js.map