"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addEslint = void 0;
async function addEslint(tree, majorNxVersion, options) {
    const linterOptions = {
        // needed to not depend on linter package
        linter: 'eslint',
        project: options.projectName,
        eslintFilePatterns: [`${options.projectRoot}/**/*.{ts,html}`],
        skipFormat: true,
    };
    if (majorNxVersion >= 16) {
        await (await Promise.resolve().then(() => require(
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        '@nx/eslint'))).lintProjectGenerator(tree, linterOptions);
    }
    else {
        await (await Promise.resolve().then(() => require(
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        '@nrwl/linter'))).lintProjectGenerator(tree, linterOptions);
    }
}
exports.addEslint = addEslint;
//# sourceMappingURL=add-eslint.js.map